# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-05 23:18
from __future__ import unicode_literals

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BaseEmail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('provider', models.CharField(max_length=2048)),
                ('to_email', models.EmailField(max_length=254)),
                ('from_email', models.EmailField(max_length=254)),
                ('subject', models.CharField(max_length=2048)),
                ('html', models.TextField(default='')),
                ('text', models.TextField(default='')),
                ('sent', models.BooleanField(default=False)),
                ('read', models.BooleanField(default=False)),
                ('extra', models.TextField(default='')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BaseError',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('app', models.CharField(max_length=2048)),
                ('code', models.IntegerField(default=-1)),
                ('message', models.TextField(default='')),
                ('extra', models.TextField(default='')),
                ('ins_filename', models.CharField(blank=True, default='', max_length=2048, null=True)),
                ('ins_lineno', models.IntegerField(blank=True, default=0, null=True)),
                ('ins_function', models.CharField(blank=True, default='', max_length=2048, null=True)),
                ('ins_code_context', models.TextField(blank=True, default='', null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingEmail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('email', models.EmailField(max_length=254)),
                ('ip_address', models.GenericIPAddressField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingMessage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=2048)),
                ('subject', models.CharField(max_length=2048)),
                ('message', models.TextField()),
                ('ip_address', models.GenericIPAddressField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Statistics',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('total_requests', models.PositiveIntegerField()),
                ('average_request_time', models.PositiveIntegerField()),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
